Subject: bug#73928: Bug#1080330: coreutils: who no longer works

From: Vincent Lefevre <[email-masked]>
Date: Sun, 16 Feb 2025 19:29:22 +0100

On 2025-02-16 19:05:13 +0100, Vincent Lefevre wrote:
> On 2025-02-16 18:55:54 +0100, Chris Hofstaedtler wrote:
> > Control: retitle -1 coreutils: "who" needs to ask seat manager
> > 
> > On Fri, Sep 20, 2024 at 05:24:11PM +0200, Vincent Lefevre wrote:
> > > Control: retitle -1 coreutils: "who" should support wtmpdb (y2038)
> > 
> > This is mistaken. wtmpdb is a history database. who(1) wants current
> > sessions, and they are being tracked by logind.
> 
> It had been said that wtmpdb was meant to replace utmp, but perhaps
> this was wrong.

After some search, quoting you from

  https://lists.debian.org/debian-release/2024/04/msg00493.html

| Subject: Y2038-safe replacements for utmp/wtmp and lastlog
| From: Chris Hofstaedtler
| Date: Fri, 26 Apr 2024 13:12:21 +0200
[...]
| you are probably aware of the time_t-64bit migration :-)
| However, this does not magically transition all data formats to 64bit
| times. One such instance is the set of utmp/wtmp and lastlog files.
|
| Thorsten Kukuk and others have been working on replacements for the
| existing file formats and interfaces [1]; these are called wtmpdb
| and lastlog2.
[...]

-- 
Vincent Lefèvre <[email-masked]> - Web: <https://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <https://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / Pascaline project (LIP, ENS-Lyon)